summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2017-08-31 12:18:47 +0200
committerJeroen Roovers <jer@gentoo.org>2017-08-31 12:18:47 +0200
commitec524fde0199c2e847ab8acbc478aaf8027c69a2 (patch)
tree3939f2d5ee1cc3f6f550768c514b812868a81a35 /net-irc/ii
parentnet-irc/ii: Fix live ebuild. (diff)
downloadgentoo-ec524fde0199c2e847ab8acbc478aaf8027c69a2.tar.gz
gentoo-ec524fde0199c2e847ab8acbc478aaf8027c69a2.tar.bz2
gentoo-ec524fde0199c2e847ab8acbc478aaf8027c69a2.zip
net-irc/ii: Respect CFLAGS.
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'net-irc/ii')
-rw-r--r--net-irc/ii/ii-1.7-r1.ebuild12
1 files changed, 6 insertions, 6 deletions
diff --git a/net-irc/ii/ii-1.7-r1.ebuild b/net-irc/ii/ii-1.7-r1.ebuild
index 1bc0538ae7b..4a1fce5af76 100644
--- a/net-irc/ii/ii-1.7-r1.ebuild
+++ b/net-irc/ii/ii-1.7-r1.ebuild
@@ -16,13 +16,13 @@ src_prepare() {
default
sed -i \
- -e "s/CFLAGS[[:space:]]*= -g -O0/CFLAGS += /" \
- -e "s/LDFLAGS[[:space:]]*=/LDFLAGS +=/" \
- -e /^LIBS/d \
+ -e '/^CFLAGS/{s: -Os::g; s:= :+= :g}' \
+ -e '/^CC/d' \
+ -e '/^LDFLAGS/{s:-s::g; s:= :+= :g}' \
config.mk || die
-
- # enable verbose build
- sed -i 's/@${CC}/${CC}/' Makefile || die
+ sed -i \
+ -e 's|@${CC}|$(CC)|g' \
+ Makefile || die
ht_fix_file query.sh
}